<?php require_once('Connections/conn.php'); 

 ?>
<?php session_start();
//Impide que la p�gina sea vista desde el navegador.
if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	  
// Captura la c�dula del usuario inici� sesi�n.	

$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
	
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
//Busca tomar el id del alumno
$sqlx = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where cedula='$cedula_usuario'";
$rsx = mysql_query($sqlx, $conn) or die(mysql_error());
$rowx = mysql_fetch_assoc($rsx);
$id_alumno= $rowx['id_alumno'];
$estudiante=$rowx['nombres'].', '.$rowx['apellidos'];

//Busca tomar el id del alumno
$sqlx = "SELECT mencion,sede,turno FROM carreras_alumno where id_alumno='$id_alumno'";
$rsx = mysql_query($sqlx, $conn) or die(mysql_error());
$rowx = mysql_fetch_assoc($rsx);
$mencion= $rowx['mencion'];
$turno=$rowx['turno'];
$sede=$rowx['sede'];
if($mencion=="COMUN") $nombre_mencion="COMPONENTE GENERAL";
if($mencion=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($mencion=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";
if($mencion=="RT") $nombre_mencion="RENTAS";

if($turno=="1") $nombre_turno="MATUTINO";
if($turno=="2") $nombre_turno="VESPERTINO";
if($turno=="4") $nombre_turno="NOCTURNO";

if($sede=="14-01") $nombre_sede="LOS RUICES";
if($turno=="14-02") $nombre_turno="PALO VERDE";
if($turno=="14-03") $nombre_turno="LA URBINA";

?>

<html>
<head>
<title>siga_pregrado -- oferta_intensivo_pre</title>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
.style1 {font-size: 14px}
</style>
</head>
<body>
<table class="bd" width="100%">
<tr><td class="hr"><h2>Pre-Inscripci&oacute;n en Semestre Intensivo 2017</h2></td></tr>
<tr><td class="hr">Sólo pueden pre-inscribir dos (02) Unidades Curriculares</td></tr>
<tr><td><span class="style1"><strong>ESTUDIANTE:</strong> <?php echo $estudiante; ?></span></td>
<tr><td><span class="style1"><strong>MENCI&Oacute;N:</strong> <?php echo $nombre_mencion; ?>&nbsp;&nbsp;&nbsp;<strong>TURNO:</strong> <?php echo $nombre_turno; ?>&nbsp;&nbsp;&nbsp;<strong>SEDE:</strong> <?php echo $nombre_sede; ?></span></td>
</tr>
</table>

<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 250;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
	  $count = sql_getrecordcount();
      if ($count>=2){
        ?>
	       <script type="text/javascript">
	          msj="!Lo sentimos!.\nSolo puede preinscribir dos unidades curriculares."
	 	      alert(msj);
		      url="oferta_intensivo_pre.php";
		      window.open(url,'contenido');
	       </script>
	   <?php
	  }
	  else{
        addrec();
	  }
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }


  mysql_close($conn);
?>
<table border="0" class="bd" width="100%">
<tr><td class="hr">!SIGA LA ENAHP!</td></tr>
<tr><td class="hr"></td></tr>
<tr><td ><br></td></tr>
<!--<tr><td > <font size="3">Por favor, dedica unos minutos a responder este cuestionario.  <a href="http://www.e-encuesta.com/answer?testId=LPLiT/3GlaU=" target="_black"><font size="3">Haz clic aquí</font></a></font></td></tr> -->
<tr height="1000"><td >
<iframe name="e-encuesta" src="http://www.e-encuesta.com/answer?testId=LPLiT/3GlaU=" frameborder="1" width="100%" height="100%"></iframe>
</td></tr>
</table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;

  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center"><?php echo "Código" ?></td>
<td class="hr" align="center"><?php echo "Unidad Curricular" ?></td>
<td class="hr" align="center"><?php echo "Componente o Mencion" ?></td>
<td class="hr" align="center"><?php echo "Semestre" ?></td>
<td class="hr" align="center"><?php echo "Turno" ?></td>

</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
  if($row["mencion"]=="COMUN") $nombre_mencion1="Componente General";
  if($row["mencion"]=="ACE") $nombre_mencion1="Aduanas y Comercio Exterior";
  if($row["mencion"]=="FIN") $nombre_mencion1="Finanzas Públicas";
  if($row["mencion"]=="RT") $nombre_mencion1="Rentas";

  if($row["turno"]=="1") $nombre_turno1="Matutino";
  if($row["turno"]=="2") $nombre_turno1="Vespertino";
  if($row["turno"]=="4") $nombre_turno1="Nocturno";	
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="oferta_intensivo_pre.php?a=del&recid=<?php echo $i ?>"><img src="imagenes/delete.png" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["codigo"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombre_materia"]) ?></td>
<td class="<?php echo $style ?>"><?php echo $nombre_mencion1; ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["semestre"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo $nombre_turno1; ?></td>


</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
  if($row["mencion"]=="COMUN") $nombre_mencion1="Componente General";
  if($row["mencion"]=="ACE") $nombre_mencion1="Aduanas y Comercio Exterior";
  if($row["mencion"]=="FIN") $nombre_mencion1="Finanzas Públicas";
  if($row["mencion"]=="RT") $nombre_mencion1="Rentas";

  if($row["turno"]=="1") $nombre_turno1="Matutino";
  if($row["turno"]=="2") $nombre_turno1="Vespertino";
  if($row["turno"]=="4") $nombre_turno1="Nocturno";	
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["codigo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombre_materia"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Carrera")."&nbsp;" ?></td>
<td class="dr">Licenciatura en Ciencias Fiscales</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Componente o Mención")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_mencion1; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Semestre")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["semestre"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_turno1; ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $id_alumno;
  global $sede;
  global $turno;
  global $mencion;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
 
  $sql_oferta = "SELECT * FROM oferta_intensivos WHERE mencion='$mencion'";
  if ($mencion!='COMUN') $sql_oferta=$sql_oferta." OR mencion='COMUN'";
  $sql_oferta=$sql_oferta." order by semestre,nombre_materia";
  $rst_oferta = mysql_query($sql_oferta, $conn) or die(mysql_error());
  $row_oferta = mysql_fetch_assoc($rst_oferta);
  $total_rows_oferta = mysql_num_rows($rst_oferta);
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="60%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Unidades Curriculares Ofertadas")."&nbsp;" ?></td>
<td class="dr"><select id="codigo" name="codigo" onChange="validar_preinscripcion('<?php echo $id_alumno; ?>',this.value)">
<option value="0">SELECCIONE...</option>

  <?php
do {  
?>
  <option value="<?php echo $row_oferta['codigo']?>"><?php echo $row_oferta['codigo']?>&nbsp;-&nbsp;<?php echo $row_oferta['nombre_materia']?></option>
  <?php
} while ($row_oferta = mysql_fetch_assoc($rst_oferta));
  $rows = mysql_num_rows($rst_oferta);
  if($rows > 0) {
      mysql_data_seek($rst_oferta, 0);
	  $row_oferta = mysql_fetch_assoc($rst_oferta);
  }
?>
</select></td>
</tr>
 <iframe name="comando" id="comando" frameborder="0" height="0" width="0"></iframe>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="oferta_intensivo_pre.php?a=add">Agregar</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="oferta_intensivo_pre.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="oferta_intensivo_pre.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="oferta_intensivo_pre.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="oferta_intensivo_pre.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>t
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="oferta_intensivo_pre.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="oferta_intensivo_pre.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="oferta_intensivo_pre.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="oferta_intensivo_pre.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="oferta_intensivo_pre.php" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
 
       $row = array(
       "codigo" => "",
       "nombre_materia" => "",
       "mencion" => "",
       "semestre" => "",
       "carrera" => "",
       "pensum" => "",
       "turno" => "");
       showroweditor($row, false);
     ?>
      <p><input type="submit" name="action" value="Pre-Inscribir"></p>
    </form>
<?php }
 ?>


<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="oferta_intensivo_pre.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xcodigo" value="<?php echo $row["codigo"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<input type="hidden" name="xsemestre" value="<?php echo $row["semestre"] ?>">
<input type="hidden" name="xcarrera" value="<?php echo $row["carrera"] ?>">
<input type="hidden" name="xpensum" value="<?php echo $row["pensum"] ?>">
<input type="hidden" name="xturno" value="<?php echo $row["turno"] ?>">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "root", "12345");
  mysql_select_db("siga_pregrado");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $id_alumno;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
  $sql = "SELECT * FROM `oferta_intensivo_pre` WHERE id_alumno='$id_alumno' order by semestre,nombre_materia";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $id_alumno;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
  $sql = "SELECT COUNT(*) FROM `oferta_intensivo_pre` WHERE id_alumno='$id_alumno'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;

  global $id_alumno;
  global $sede;
  global $turno;
  global $mencion;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
 
  $codigo=@$_POST["codigo"];
  $sql_oferta = "SELECT nombre_materia,mencion,semestre FROM oferta_intensivos WHERE codigo='$codigo'";
  $rst_oferta = mysql_query($sql_oferta, $conn) or die(mysql_error());
  $row_oferta = mysql_fetch_assoc($rst_oferta);
  $total_rows_oferta = mysql_num_rows($rst_oferta);
  $nombre_materia=$row_oferta["nombre_materia"];
  $mencion_materia=$row_oferta["mencion"];
  $semestre=$row_oferta["semestre"];

  $sql = "insert into `oferta_intensivo_pre` (`id_alumno`,`codigo`, `nombre_materia`, `mencion`, `semestre`, `carrera`, `pensum`, `turno`,`sede`) values ('$id_alumno'," .sqlvalue(@$_POST["codigo"], true).", '$nombre_materia', '$mencion_materia', '$semestre', 'LCF', '6', '$turno','$sede')";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;

  $sql = "delete from `oferta_intensivo_pre` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`codigo`";
  if (@$_POST["xcodigo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcodigo"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_alumno`";
  if (@$_POST["xid_alumno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_alumno"], true);
  };
  $pk .= ")";
  return $pk;
}
 ?>
 
 
 <script type="text/javascript">
	function validar_preinscripcion(id_alumno,id_materia)
	{
	  url="validar_preinscrita.php?id_alumno="+id_alumno+"&id_materia="+id_materia;
	  comando.location=url;
	}

</script>  

<script type="text/javascript">
	function validar_datos()
	{
	   		
		if(document.form1.codigo.value==0){
			alert("El campo <<Unidad Curricular Ofertada>> es obligatorio");
			document.form1.codigo.focus();
			return false;
			}
			
	    return true;
	}
	
</script>	


